select t.fmonth,sum(t.famount)famount  from (
select convert(varchar(7),t1.fdate,120)as fmonth,-sum(t2.famount)famount from tagents_cost t1
inner join tagents_costmx t2 on t1.siteid=t2.siteid and t1.tagentsid=t2.tagentsid and t1.tagents_costid=t2.tagents_costid
where t1.siteid=$siteid$ and t1.tagentsid=$tagentsid$ and
convert(varchar(7),t1.fdate,120)>=$fbegmonth$ and convert(varchar(7),t1.fdate,120)<=$fendmonth$
group by convert(varchar(7),t1.fdate,120),t1.fmonth
union all
select convert(varchar(7),fdate,120)as fmonth,SUM(forderamount)famount from tcustomer_reception
where ftype='ÏúÊÛ' and siteid=$siteid$ and tagentsid=$tagentsid$ and
convert(varchar(7),fdate,120)>=$fbegmonth$ and convert(varchar(7),fdate,120)<=$fendmonth$
group by convert(varchar(7),fdate,120)
)t group by t.fmonth